<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_80e7ee43fdf838101a23" . "03a7b4a50efc" => base64_decode("dG9fZm9sZGVyX" . "2lk"), "_32155ccb3" . "42f1990430" . "93041c1b3b" . "b57" => base64_decode("ZnJvbV9mb2xk" . "ZXJfaWQ="));
use Claromentis\Core\Event\GenericEvent;


class MoveDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_32155ccb342f1990" . "43093041c1b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_80e7ee43fdf838101a" . "2303a7b4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}